Get Client list
1 min
GET
https://dev1.frontu.com//client/api/v2/clients
Query Parameters
- versionintegerDescriptionDefault0Pattern\d+
- pageintegerDescriptionDefault1Pattern\d+
- itemsintegerDescriptionDefault100Pattern(100|200|300)
- tagstringDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonExampleExample with test values
Responses
200
- object
- next_pageintegerDescription
- itemsobject[]
- versioninteger
- titlestring
- addressstring
- citystring
- zipCodestring
- phonestring
- emailstring
- notestring
- companyCodestring
- companyVatCodestring
- guidstringDescription
- createdstring
- updatedstring
- deletedboolean
- clientTypeboolean
- systemIdstringDescription
- reportEmailsstring
- tagsstring[]Description
- customValuesobject[]
- guidstringDescription
- valuestring
curl
curl --request GET \
--url 'https://dev1.frontu.com//client/api/v2/clients?version=integer&page=1&items=100' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/clients?version=integer&page=1&items=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/clients?version=integer&page=1&items=100")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/clients?version=integer&page=1&items=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Returned when successful
{
"next_page": 0,
"items": [
{
"version": 0,
"title": "",
"address": "",
"city": "",
"zipCode": "",
"phone": "",
"email": "",
"note": "",
"companyCode": "",
"companyVatCode": "",
"guid": "",
"created": "",
"updated": "",
"deleted": false,
"clientType": false,
"systemId": "",
"reportEmails": "",
"tags": [
""
],
"customValues": [
{
"guid": "",
"value": ""
}
]
}
]
}